import pygame, pickle, zlib

def pak(pakname, filelist):
    packedlist=[]
    for i in filelist:
        thefile=[]
        img=pygame.image.load(i)
        thefile.append(img.get_width())
        thefile.append(img.get_height())
        thefile.append(zlib.compress(pygame.image.tostring(img, "RGB")))
        packedlist.append(thefile)
    f=open(pakname, "w")
    pickle.dump(packedlist, f)
    f.close()

def unpak(packname):
    f=open(packname, "r")
    packedlist=pickle.load(f)
    tilelist=[]
    for i in packedlist:
        img=pygame.image.fromstring(zlib.decompress(i[2]), (i[0],i[1]), "RGB")
        if pygame.display.get_init():
            img.convert()
            img.set_colorkey(pygame.display.get_surface().map_rgb((0,0,0,0)))
        tilelist.append(img)
    f.close()
    return tilelist
