import pygame
from pak import unpak

tilesets={}

filename = lambda x: x+".pak"

def loadTilesets(setnames):
    for i in tilesets.keys():   #delete all tilesets that are no longer needed.
        if not i in setnames:
            del tilesets[i]
    for i in setnames:          #load all requested tilesets that are missing.
        if not i in tilesets.keys():
            tilesets[i] = unpak(filename(i)) #returns a list of pygame.Surface.
            
def getTile(setname, index):
    return tilesets[setname][index]
